Update a data view
- Base URL
-
https://{kibana_url}
- POST /api/data_views/data_view/{viewId}
Update an existing data view. Only the fields provided in the request body are updated.
Request body
Responses
Indicates a successful call.
-
data_viewobject -
allowNoIndexboolean -
Allows the data view saved object to exist before the data is available. Defaults to
false. -
namespacesstring[] -
An array of space identifiers for sharing the data view between multiple spaces.
-
titlestring -
Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (
*).